%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-patch-ng
Version:       1.18.1
Release:       1mamba
Summary:       Library to parse and apply unified diffs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/conan-io/python-patch-ng
Source:        https://pypi.debian.net/patch-ng/patch-ng-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n patch-ng-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/patch_ng-%{version}-py*.egg-info
%{python_sitearch}/patch_ng-%{version}-py*.egg-info/*

%changelog
* Sat Oct 26 2024 Automatic Build System <autodist@openmamba.org> 1.18.1-1mamba
- automatic version update by autodist

* Fri Aug 02 2024 Automatic Build System <autodist@openmamba.org> 1.18.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.17.4-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Nov 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.17.4-1mamba
- package created using the webbuild interface
